Bug 97373 - System UPTIME reported incorrectly
Summary: System UPTIME reported incorrectly
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 1
Hardware: i686
OS: Linux
high
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-06-13 20:00 UTC by Michael McLagan
Modified: 2015-01-04 22:02 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-28 19:01:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael McLagan 2003-06-13 20:00:23 UTC
Description of problem:
/usr/bin/uptime does not properly handle large numbers.  How can someone
promote and publicize a high uptime when reporting utility is incorrect?

Version-Release number of selected component (if applicable):
procps-2.0.11-6

How reproducible:
ALWAYS

Steps to Reproduce:
1. Boot Linux system
2. Go away for 497 days
3. check uptime
    
Actual results:
[root@utility OLD]# uptime
 15:59:01  up 23 days, 23:08,  6 users,  load average: 0.10, 0.13, 0.09


Expected results:
[root@utility OLD]# uptime
 15:59:01  up 520 days, 23:08,  6 users,  load average: 0.10, 0.13, 0.09


Additional info:
05/19/03  00:00:00  up 495 days,  9:32,  4 users,  load average: 0.04, 0.06, 0.06
05/20/03  00:00:00  up 496 days,  9:32,  4 users,  load average: 0.06, 0.11, 0.09
05/21/03  00:00:00  up  7:05,  4 users,  load average: 1.14, 1.17, 1.17
05/22/03  00:00:00  up 1 day,  7:05,  4 users,  load average: 1.19, 1.29, 1.27
05/23/03  00:00:01  up 2 days,  7:05,  4 users,  load average: 1.13, 1.25, 1.27

[root@utility OLD]# cat /proc/uptime
2070689.03 41047961.72

Comment 1 Alexander Larsson 2003-07-10 09:50:15 UTC
This is a kernel problem. Uptime is basically jiffies, and at 100 Hz it wraps in
497 days

Comment 2 Bugzilla owner 2004-09-30 15:41:08 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/


Comment 3 Rahul Sundaram 2005-11-23 23:01:00 UTC
Looks like this fell off the cracks and has not been fixed yet.

http://www.linux-noob.com/forums/index.php?showtopic=1780

Comment 4 Dave Jones 2005-11-28 19:01:20 UTC
that report is against fc1 which was 2.4 based.
all 2.6 kernels have this fixed.



Note You need to log in before you can comment on or make changes to this bug.